Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156428 - XMMS remote play/pause command is broken
Summary: XMMS remote play/pause command is broken
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xmms
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul F. Johnson
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-30 00:10 UTC by Erich Hoover
Modified: 2008-08-02 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 00:09:38 UTC


Attachments (Terms of Use)

Description Erich Hoover 2005-04-30 00:10:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.7.7-2

Description of problem:
The remote execution command "play-pause" pauses correctly but cannot unpause after pausing.

Version-Release number of selected component (if applicable):
xmms-1.2.10-13

How reproducible:
Always

Steps to Reproduce:
1. Start XMMS
2. Play a song
3. Pause the song from the command line (xmms --play-pause)
4. Unpause the song from the command line (xmms --play-pause)


Actual Results:  The song won't unpause, the song must be stopped and restarted to get anything to play again.

Expected Results:  The song should have continued playing.

Additional info:

If you pause/unpause four times this error is shown on the XMMS console (not the remote one):
** WARNING **: snd_pcm_pause() failed: File descriptor in bad state

Please note that this doesn't just hose the command-line operation, any other program that interacts with XMMS to play/pause is effected - the console operation is just an easy test case.

Comment 1 Paul F. Johnson 2007-01-03 00:10:09 UTC
Can you test this with a newer version of xmms please and let me know if the
problem is still there?

Comment 2 Bug Zapper 2008-04-03 16:07:29 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 3 Bug Zapper 2008-05-07 00:09:37 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.